1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

I need to run 3.03 firmware 0n 1.5, what where to start??

Discussion in 'Sony PSP - Mod and firmware discussion' started by Darkmice, Jun 28, 2007.

  1. Darkmice

    Darkmice Member

    Joined:
    May 15, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    I have 1.5 firmware on my PSP. For some reason my Devhook got screwed up so I formatted my card and reinstalled it. Now Devhook will say it is loading and then it will shut my PSP off. All I need is a good working version of Devhook to run 3.03 firmware unless my PSP or memory card is toast.
     
  2. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    go to psp-hacks.com and get yourself the "3.40OE-A easy winstaller" and upgrade your PSP to custom firmware so you can ditch that devhook altogether. that way, you can play your iso's and homebrew and still have the other features that come with having recent firmware..give it a shot, you can always go back to 1.5 FW if you dont like it...
     
  3. Darkmice

    Darkmice Member

    Joined:
    May 15, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Ill try that but will it run emulators for snes,nes or psx.
     
  4. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    runs emulators like a charm...
     

Share This Page